/****************************************************************************
**
** Copyright (C) 1991-2008 Heinz van Saanen
**
** This file is part of the the function viewer Zhu3D.
**
** This file may be used under the terms of the GNU General Public
** License version 2 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef _TIMERS_H_
#define _TIMERS_H_


#ifdef __cplusplus
	extern "C"
	{
#endif


extern double secs;


#ifdef WIN32
void initMMTimer(void);
#endif


void TimerStart(void);		// Initialize and set secs=0.0
void TimerStop(void);		// Stop, global secs holds the seconds now


unsigned long long sysTicks(void);		// Hardware-independent uSecs
unsigned long long cpuTicks(void);		// CPU-cycle counter


#ifdef __cplusplus
}  // end extern "C"
#endif

// _TIMERS_H_
#endif
